diff --git a/Countries/Regions/ISO3166-2-SubdivisionCodes-MA.rdf b/Countries/Regions/ISO3166-2-SubdivisionCodes-MA.rdf
index b3f7873..de4b754 100644
--- a/Countries/Regions/ISO3166-2-SubdivisionCodes-MA.rdf
+++ b/Countries/Regions/ISO3166-2-SubdivisionCodes-MA.rdf
@@ -859,27 +799,27 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Chichaoua
+    // Tiznit
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;Chichaoua">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;Tiznit">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Chichaoua</rdfs:label>
-      <skos:definition>The province of Chichaoua in the country of Morocco</skos:definition>
-      <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-2-ma;Marrakech-Tensift-AlHaouz"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ar">Chichaoua</lcc-cr:hasLocalShortName>
+      <rdfs:label>Tiznit</rdfs:label>
+      <skos:definition>The province of Tiznit in the country of Morocco</skos:definition>
+      <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-2-ma;Souss-Massa"/>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ar">Tiznit</lcc-cr:hasLocalShortName>
       <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ma;Province"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ma;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;MA-CHI">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;MA-TIZ">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the province of Chichaoua in the country of Morocco</skos:definition>
-      <rdfs:label>MA-CHI</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">MA-CHI</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ma;Chichaoua"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ma;Chichaoua"/>
+      <skos:definition>subdivision code for the province of Tiznit in the country of Morocco</skos:definition>
+      <rdfs:label>MA-TIZ</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">MA-TIZ</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ma;Tiznit"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ma;Tiznit"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ma;"/>
    </owl:NamedIndividual>
@@ -889,27 +829,27 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Kelaat es Sraghna
+    // Tata
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;KelaatEsSraghna">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;Tata">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Kelaat es Sraghna</rdfs:label>
-      <skos:definition>The province of Kelaat es Sraghna in the country of Morocco</skos:definition>
-      <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-2-ma;Marrakech-Tensift-AlHaouz"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ar">Kelaat es Sraghna</lcc-cr:hasLocalShortName>
+      <rdfs:label>Tata</rdfs:label>
+      <skos:definition>The province of Tata in the country of Morocco</skos:definition>
+      <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-2-ma;Souss-Massa"/>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ar">Tata</lcc-cr:hasLocalShortName>
       <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ma;Province"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ma;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;MA-KES">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;MA-TAT">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the province of Kelaat es Sraghna in the country of Morocco</skos:definition>
-      <rdfs:label>MA-KES</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">MA-KES</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ma;KelaatEsSraghna"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ma;KelaatEsSraghna"/>
+      <skos:definition>subdivision code for the province of Tata in the country of Morocco</skos:definition>
+      <rdfs:label>MA-TAT</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">MA-TAT</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ma;Tata"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ma;Tata"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ma;"/>
    </owl:NamedIndividual>
@@ -919,27 +859,27 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Marrakech-Medina
+    // Agadir-Ida-Ou-Tanane
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;Marrakech-Medina">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;Agadir-Ida-Ou-Tanane">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Marrakech-Medina</rdfs:label>
-      <skos:definition>The prefecture of Marrakech-Medina in the country of Morocco</skos:definition>
-      <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-2-ma;Marrakech-Tensift-AlHaouz"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ar">Marrakech-Medina</lcc-cr:hasLocalShortName>
+      <rdfs:label>Agadir-Ida-Ou-Tanane</rdfs:label>
+      <skos:definition>The prefecture of Agadir-Ida-Ou-Tanane in the country of Morocco</skos:definition>
+      <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-2-ma;Souss-Massa"/>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ar">Agadir-Ida-Ou-Tanane</lcc-cr:hasLocalShortName>
       <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ma;Prefecture"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ma;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;MA-MMD">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;MA-AGD">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the prefecture of Marrakech-Medina in the country of Morocco</skos:definition>
-      <rdfs:label>MA-MMD</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">MA-MMD</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ma;Marrakech-Medina"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ma;Marrakech-Medina"/>
+      <skos:definition>subdivision code for the prefecture of Agadir-Ida-Ou-Tanane in the country of Morocco</skos:definition>
+      <rdfs:label>MA-AGD</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">MA-AGD</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ma;Agadir-Ida-Ou-Tanane"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ma;Agadir-Ida-Ou-Tanane"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ma;"/>
    </owl:NamedIndividual>
@@ -951,27 +891,27 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Laâyoune-Boujdour-Sakia el Hamra
+    // L'Oriental
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;Laayoune-Boujdour-SakiaElHamra">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;LOriental">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Laâyoune-Boujdour-Sakia el Hamra</rdfs:label>
-      <skos:definition>The region of Laâyoune-Boujdour-Sakia el Hamra in the country of Morocco</skos:definition>
+      <rdfs:label>L'Oriental</rdfs:label>
+      <skos:definition>The region of L'Oriental in the country of Morocco</skos:definition>
       <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;Morocco"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ar">Laâyoune-Boujdour-Sakia el Hamra</lcc-cr:hasLocalShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ar">L'Oriental</lcc-cr:hasLocalShortName>
       <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ma;Region"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ma;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;MA-15">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;MA-02">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the region of Laâyoune-Boujdour-Sakia el Hamra in the country of Morocco</skos:definition>
-      <rdfs:label>MA-15</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">MA-15</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ma;Laayoune-Boujdour-SakiaElHamra"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ma;Laayoune-Boujdour-SakiaElHamra"/>
+      <skos:definition>subdivision code for the region of L'Oriental in the country of Morocco</skos:definition>
+      <rdfs:label>MA-02</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">MA-02</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ma;LOriental"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ma;LOriental"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ma;"/>
    </owl:NamedIndividual>
@@ -979,27 +919,27 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Boujdour (EH)
+    // Driouch
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;Boujdour">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;Driouch">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Boujdour (EH)</rdfs:label>
-      <skos:definition>The province of Boujdour (EH) in the country of Morocco</skos:definition>
-      <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-2-ma;Laayoune-Boujdour-SakiaElHamra"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ar">Boujdour (EH)</lcc-cr:hasLocalShortName>
+      <rdfs:label>Driouch</rdfs:label>
+      <skos:definition>The province of Driouch in the country of Morocco</skos:definition>
+      <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-2-ma;LOriental"/>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ar">Driouch</lcc-cr:hasLocalShortName>
       <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ma;Province"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ma;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;MA-BOD">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;MA-DRI">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the province of Boujdour (EH) in the country of Morocco</skos:definition>
-      <rdfs:label>MA-BOD</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">MA-BOD</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ma;Boujdour"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ma;Boujdour"/>
+      <skos:definition>subdivision code for the province of Driouch in the country of Morocco</skos:definition>
+      <rdfs:label>MA-DRI</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">MA-DRI</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ma;Driouch"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ma;Driouch"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ma;"/>
    </owl:NamedIndividual>
@@ -1009,87 +949,87 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Laâyoune
+    // Guercif
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;Laayoune">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;Guercif">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Laâyoune</rdfs:label>
-      <skos:definition>The province of Laâyoune in the country of Morocco</skos:definition>
-      <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-2-ma;Laayoune-Boujdour-SakiaElHamra"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ar">Laâyoune</lcc-cr:hasLocalShortName>
+      <rdfs:label>Guercif</rdfs:label>
+      <skos:definition>The province of Guercif in the country of Morocco</skos:definition>
+      <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-2-ma;LOriental"/>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ar">Guercif</lcc-cr:hasLocalShortName>
       <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ma;Province"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ma;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;MA-LAA">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;MA-GUF">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the province of Laâyoune in the country of Morocco</skos:definition>
-      <rdfs:label>MA-LAA</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">MA-LAA</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ma;Laayoune"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ma;Laayoune"/>
+      <skos:definition>subdivision code for the province of Guercif in the country of Morocco</skos:definition>
+      <rdfs:label>MA-GUF</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">MA-GUF</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ma;Guercif"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ma;Guercif"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ma;"/>
    </owl:NamedIndividual>
 
 
 
-
-
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Tanger-Tétouan
+    // Jerada
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;Tanger-Tetouan">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;Jerada">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Tanger-Tétouan</rdfs:label>
-      <skos:definition>The region of Tanger-Tétouan in the country of Morocco</skos:definition>
-      <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;Morocco"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ar">Tanger-Tétouan</lcc-cr:hasLocalShortName>
-      <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ma;Region"/>
+      <rdfs:label>Jerada</rdfs:label>
+      <skos:definition>The province of Jerada in the country of Morocco</skos:definition>
+      <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-2-ma;LOriental"/>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ar">Jerada</lcc-cr:hasLocalShortName>
+      <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ma;Province"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ma;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;MA-01">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;MA-JRA">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the region of Tanger-Tétouan in the country of Morocco</skos:definition>
-      <rdfs:label>MA-01</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">MA-01</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ma;Tanger-Tetouan"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ma;Tanger-Tetouan"/>
+      <skos:definition>subdivision code for the province of Jerada in the country of Morocco</skos:definition>
+      <rdfs:label>MA-JRA</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">MA-JRA</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ma;Jerada"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ma;Jerada"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ma;"/>
    </owl:NamedIndividual>
 
+
+
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Tétouan
+    // Figuig
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;Tetouan">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;Figuig">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Tétouan</rdfs:label>
-      <skos:definition>The prefecture of Tétouan in the country of Morocco</skos:definition>
-      <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-2-ma;Tanger-Tetouan"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ar">Tétouan</lcc-cr:hasLocalShortName>
-      <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ma;Prefecture"/>
+      <rdfs:label>Figuig</rdfs:label>
+      <skos:definition>The province of Figuig in the country of Morocco</skos:definition>
+      <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-2-ma;LOriental"/>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ar">Figuig</lcc-cr:hasLocalShortName>
+      <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ma;Province"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ma;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;MA-TET">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;MA-FIG">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the prefecture of Tétouan in the country of Morocco</skos:definition>
-      <rdfs:label>MA-TET</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">MA-TET</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ma;Tetouan"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ma;Tetouan"/>
+      <skos:definition>subdivision code for the province of Figuig in the country of Morocco</skos:definition>
+      <rdfs:label>MA-FIG</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">MA-FIG</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ma;Figuig"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ma;Figuig"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ma;"/>
    </owl:NamedIndividual>
@@ -1099,27 +1039,27 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Larache
+    // Nador
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;Larache">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;Nador">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Larache</rdfs:label>
-      <skos:definition>The province of Larache in the country of Morocco</skos:definition>
-      <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-2-ma;Tanger-Tetouan"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ar">Larache</lcc-cr:hasLocalShortName>
+      <rdfs:label>Nador</rdfs:label>
+      <skos:definition>The province of Nador in the country of Morocco</skos:definition>
+      <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-2-ma;LOriental"/>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ar">Nador</lcc-cr:hasLocalShortName>
       <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ma;Province"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ma;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;MA-LAR">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;MA-NAD">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the province of Larache in the country of Morocco</skos:definition>
-      <rdfs:label>MA-LAR</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">MA-LAR</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ma;Larache"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ma;Larache"/>
+      <skos:definition>subdivision code for the province of Nador in the country of Morocco</skos:definition>
+      <rdfs:label>MA-NAD</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">MA-NAD</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ma;Nador"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ma;Nador"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ma;"/>
    </owl:NamedIndividual>
@@ -1129,27 +1069,27 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Chefchaouen
+    // Taourirt
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;Chefchaouen">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;Taourirt">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Chefchaouen</rdfs:label>
-      <skos:definition>The province of Chefchaouen in the country of Morocco</skos:definition>
-      <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-2-ma;Tanger-Tetouan"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ar">Chefchaouen</lcc-cr:hasLocalShortName>
+      <rdfs:label>Taourirt</rdfs:label>
+      <skos:definition>The province of Taourirt in the country of Morocco</skos:definition>
+      <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-2-ma;LOriental"/>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ar">Taourirt</lcc-cr:hasLocalShortName>
       <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ma;Province"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ma;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;MA-CHE">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;MA-TAI">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the province of Chefchaouen in the country of Morocco</skos:definition>
-      <rdfs:label>MA-CHE</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">MA-CHE</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ma;Chefchaouen"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ma;Chefchaouen"/>
+      <skos:definition>subdivision code for the province of Taourirt in the country of Morocco</skos:definition>
+      <rdfs:label>MA-TAI</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">MA-TAI</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ma;Taourirt"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ma;Taourirt"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ma;"/>
    </owl:NamedIndividual>
@@ -1159,27 +1099,27 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Fahs-Beni Makada
+    // Berkane
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;Fahs-BeniMakada">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;Berkane">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Fahs-Beni Makada</rdfs:label>
-      <skos:definition>The prefecture of Fahs-Beni Makada in the country of Morocco</skos:definition>
-      <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-2-ma;Tanger-Tetouan"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ar">Fahs-Beni Makada</lcc-cr:hasLocalShortName>
-      <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ma;Prefecture"/>
+      <rdfs:label>Berkane</rdfs:label>
+      <skos:definition>The province of Berkane in the country of Morocco</skos:definition>
+      <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-2-ma;LOriental"/>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ar">Berkane</lcc-cr:hasLocalShortName>
+      <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ma;Province"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ma;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;MA-FAH">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;MA-BER">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the prefecture of Fahs-Beni Makada in the country of Morocco</skos:definition>
-      <rdfs:label>MA-FAH</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">MA-FAH</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ma;Fahs-BeniMakada"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ma;Fahs-BeniMakada"/>
+      <skos:definition>subdivision code for the province of Berkane in the country of Morocco</skos:definition>
+      <rdfs:label>MA-BER</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">MA-BER</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ma;Berkane"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ma;Berkane"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ma;"/>
    </owl:NamedIndividual>
@@ -1189,27 +1129,27 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Tanger-Assilah
+    // Oujda-Angad
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;Tanger-Assilah">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;Oujda-Angad">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Tanger-Assilah</rdfs:label>
-      <skos:definition>The prefecture of Tanger-Assilah in the country of Morocco</skos:definition>
-      <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-2-ma;Tanger-Tetouan"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ar">Tanger-Assilah</lcc-cr:hasLocalShortName>
+      <rdfs:label>Oujda-Angad</rdfs:label>
+      <skos:definition>The prefecture of Oujda-Angad in the country of Morocco</skos:definition>
+      <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-2-ma;LOriental"/>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ar">Oujda-Angad</lcc-cr:hasLocalShortName>
       <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ma;Prefecture"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ma;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;MA-TNG">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;MA-OUJ">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the prefecture of Tanger-Assilah in the country of Morocco</skos:definition>
-      <rdfs:label>MA-TNG</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">MA-TNG</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ma;Tanger-Assilah"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ma;Tanger-Assilah"/>
+      <skos:definition>subdivision code for the prefecture of Oujda-Angad in the country of Morocco</skos:definition>
+      <rdfs:label>MA-OUJ</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">MA-OUJ</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ma;Oujda-Angad"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ma;Oujda-Angad"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ma;"/>
    </owl:NamedIndividual>
@@ -1221,27 +1161,27 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Chaouia-Ouardigha
+    // Casablanca-Settat
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;Chaouia-Ouardigha">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;Casablanca-Settat">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Chaouia-Ouardigha</rdfs:label>
-      <skos:definition>The region of Chaouia-Ouardigha in the country of Morocco</skos:definition>
+      <rdfs:label>Casablanca-Settat</rdfs:label>
+      <skos:definition>The region of Casablanca-Settat in the country of Morocco</skos:definition>
       <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;Morocco"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ar">Chaouia-Ouardigha</lcc-cr:hasLocalShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ar">Casablanca-Settat</lcc-cr:hasLocalShortName>
       <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ma;Region"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ma;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;MA-09">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;MA-06">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the region of Chaouia-Ouardigha in the country of Morocco</skos:definition>
-      <rdfs:label>MA-09</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">MA-09</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ma;Chaouia-Ouardigha"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ma;Chaouia-Ouardigha"/>
+      <skos:definition>subdivision code for the region of Casablanca-Settat in the country of Morocco</skos:definition>
+      <rdfs:label>MA-06</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">MA-06</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ma;Casablanca-Settat"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ma;Casablanca-Settat"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ma;"/>
    </owl:NamedIndividual>
